import request from '@/utils/request'

// 初始化 外协厂商
export function initOutHelp() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_基础表_外协厂家_查询数据'
    }
  })
}
// 查询表格数据
export function searchtable(num2, ManufacturerName, num10, ManufacturerAbbreviation, num3, address, num4, roleName, phNumber, Fax, pageCurrent, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理_外协加工任务单_查询数据_付款计划',
      param: '外协加工任务单_check=0&外协加工任务单流水号=0&表单号_check=' + num2 + '&表单号=' + ManufacturerName + '&外协厂家_check=' + num10 + '&外协厂家=' + ManufacturerAbbreviation + '&任务下达日期时间_check=' + num3 + '&开始时间=' + address + '&结束时间=' + num4 + '&实际付款时间段_check=' + roleName + '&实际付款开始时间=' + phNumber + '&实际付款结束时间=' + Fax + '&外协计划员编号_check=0&外协计划员编号=0',
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
// 修改实际付款日期
export function payTime(num, time) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理_外协加工任务单_修改数据_实际付款时间',
      param: '外协加工任务单流水号=' + num + '&实际付款时间=' + time
    }
  })
}
// 修改扣款数据、扣款说明
export function WithdrawingEdit(num, quality, plan, Other, Explain) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理_外协加工任务单_修改数据',
      param: '外协加工任务单流水号=' + num + '&扣款_质量=' + quality + '&扣款_计划=' + plan + '&扣款_其他=' + Other + '&扣款说明=' + Explain
    }
  })
}
// 单据状态： 1 未成交 2 成交 3 作废
export function payment(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理_外协加工任务单_修改数据_作废',
      param: '外协加工任务单流水号=' + num + '&单据状态=3'
    }
  })
}
// 查询零件信息
export function getParts(Number, pageCurrent, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_外协发票管理_查询数据',
      param: '外协厂家流水号=' + Number + '=int',
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
// 增加
export function edittype(num1, num2, num3, num4, num5, num6, num7, num8) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理工艺_外协发票管理_增加数据',
      param: '外协加工任务单流水号=' + num1 + '&发票号=' + num2 + '&开户行=' + num3 + '&开票时间=' + num4 + '&开票金额=' + num5 + '&接收人=' + num6 + '&接收时间=' + num7 + '&备注=' + num8
    }
  })
}
// 编辑
export function handlechange(num, num2, num3, num4, num5, num6, num7, num8) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理工艺_外协发票管理_编辑数据',
      param: 'id=' + num + '&发票号=' + num2 + '&开户行=' + num3 + '&开票时间=' + num4 + '&开票金额=' + num5 + '&接收人=' + num6 + '&接收时间=' + num7 + '&备注=' + num8
    }
  })
}
// 删除
export function handledelete(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理工艺_外协发票管理_删除数据',
      param: 'id=' + num
    }
  })
}
